Public Class cClientRegisterEvent

    'Private m_sDomainRealm As String 

    Public Sub SetDomainRealm(ByVal sDomainRealm As String)
        'm_sDomainRealm = sDomainRealm  'Restrict client to add correct domain in the ToURI.
    End Sub

    Public Sub OnClientRegister(ByVal sUserLogin As String, ByVal sDomain As String, ByVal nRegId As Integer)

        'If m_sDomainRealm <> sDomain Then  'Restrict client to add correct domain in the ToURI.
        'cServerSIP.m_objServerSIP.RejectClientRegister(nRegId)
        'Exit Sub
        'End If

        Dim objReg As New cRegistry
        Dim objLoginReg As New cLoginReg

        If objReg.GetLogin(sUserLogin, objLoginReg) = False Then
            If cServerSIP.m_objServerSIP.RejectClientRegister(nRegId) = False Then
                cServerSIP.m_objServerSIP.LogError("")
            End If

            Exit Sub
        End If

        If objLoginReg.m_bBlock = True Then
            If cServerSIP.m_objServerSIP.RejectClientRegister(nRegId) = False Then
                cServerSIP.m_objServerSIP.LogError("")
            End If
            Exit Sub
        End If

        If cServerSIP.m_objServerSIP.m_objUserList.AddUser(sUserLogin, objLoginReg.m_sPassword, objLoginReg.m_bStealth, objLoginReg.m_sCodec, objLoginReg.m_bBlock) = False Then
            Exit Sub
        End If

        If cServerSIP.m_objServerSIP.AuthClientRegister(nRegId) = False Then
            cServerSIP.m_objServerSIP.LogError("")
        End If

    End Sub

    Public Sub OnClientRegisterSuccess(ByVal sUserLogin As String)
    End Sub

    Public Sub OnClientUnRegister(ByVal sUserLogin As String)
        cServerSIP.m_objServerSIP.m_objUserList.RemoveUser(sUserLogin)
    End Sub

    Public Sub OnClientRegisterFail(ByVal sUserLogin As String)
        cServerSIP.m_objServerSIP.m_objUserList.RemoveUser(sUserLogin)
    End Sub

End Class
