#pragma once

#include "ServerSIP.h"

using namespace System;
using namespace System::Collections;
using namespace System::Text;
using namespace System::Diagnostics;

public ref class cCallData
{

public:
	
	int m_nCallId;

    int m_nSessionId;
    bool m_bConnected;
    bool m_bStealthListening;

    unsigned int m_unQueueId;
    unsigned int m_unUserId;

    int m_nCallType;
    String^ m_sCallerId;
    String^ m_sUserId;

    String^ m_sDigitPRESS;
    int m_nDigitPRESS;
    bool m_bDigitDetect;

    unsigned int m_unStealthId;
    String^ m_sStealthDialNo;

    String^ m_sCodec;
    cCallData^ m_objBindCallData;

    int m_nPlayWaveType;

public:

	cCallData();
    
};


public ref class cCallList
{
public:
	cCallList(void);

private:
	Hashtable^ m_objCallList;

public:

	cCallData^ cCallList::AddCall(int nCallId);
	void RemoveCall(cCallData^ objCallData);
	cCallData^ FindCall(int nCallId);
	void DeleteAll();

	int GetCount();
};
