#include "StdAfx.h"
#include "CallList.h"
#include "HoldCallEvent.h"
#include "ServerData.h"
#include "ServerSIP.h"


cHoldCallEvent::cHoldCallEvent(void)
{
}

void cHoldCallEvent::OnHoldCall(cCallData^ objCallData)
{
	if (objCallData->m_objBindCallData == nullptr)
		return;

	cServerSIP::m_objServerSIP->AddCallToSession(objCallData->m_objBindCallData, cServerSIP::m_objServerSIP->m_objServerData->GetHoldSessionId());
}

void cHoldCallEvent::OffHoldCall(cCallData^ objCallData)
{
	if (objCallData->m_objBindCallData == nullptr)
		return;

	cServerSIP::m_objServerSIP->AddCallToSession(objCallData->m_objBindCallData, objCallData->m_nSessionId);
}
