#pragma once

using namespace System;
using namespace System::Collections;
using namespace System::Text;
using namespace System::Net::Sockets;
using namespace System::Threading;
using namespace System::IO;

ref class cTelnetClient;

public ref class cTelnetServer
{
public:
	cTelnetServer(void);

public:
	
	static cTelnetServer^ m_objTelnetServer;

    String^ m_sLoginTelnet;
    String^ m_sPwdTelnet;

	static System::Object^ m_objLock = gcnew(System::Object);
	
	ArrayList^ m_objClientList;
	Socket^ m_objSocket;

public:

	static void OnServerAccept(IAsyncResult^ ar);

	bool StartServer();
	void StopServer();

	bool IsAuth(String^ sLogin, String^ sPassword);
	void SendCommandToAll(String^ sCommand, ArrayList^ objParamList);

	void OnClientDisconnect(cTelnetClient^ objTelnetClient);

};
