// StealthList.h: interface for the CStealthList class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_STEALTHLIST_H__D249947D_BDC5_49F7_9920_93C24B6B9AE0__INCLUDED_)
#define AFX_STEALTHLIST_H__D249947D_BDC5_49F7_9920_93C24B6B9AE0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CCallData;

typedef CMap<CString, LPCTSTR, CCallData*, CCallData*> CMapStealthStrToPtr;
typedef CMap<ULONG, ULONG, CCallData*, CCallData*> CMapStealthULongToPtr;

class CVaxTeleServerSIP;

class CStealthList  
{
public:
	
	CStealthList();
	~CStealthList();

private:

	ULONG m_lStealthIdCount;

	CMapStealthStrToPtr*   m_pStealthListTEXT;
	CMapStealthULongToPtr* m_pStealthListINT;

	ULONG ChooseStealthId();

	CCallData* FindStealthCall(ULONG lStealthId);
	CCallData* FindStealthCall(CString sDialNo);

public:

	void AddCallToStealthList(CCallData* pCallData);
	void RemoveStealthCall(CCallData* pCallData);

	void FreeCaptureCall(CCallData* pCallData);
	void TryCaptureCall(CCallData* pCallData);

	void DeleteAll();
};

#endif // !defined(AFX_STEALTHLIST_H__D249947D_BDC5_49F7_9920_93C24B6B9AE0__INCLUDED_)
