Imports System
Imports System.Text
Imports System.IO
Imports System.Net
Imports System.Net.Sockets

Public Class cTelnetRequest

    Private m_sRecvBuffer As String

    Public Sub FillRecvBuffer(ByVal sRecvBuffer As String, ByRef objTelnetClient As cTelnetClient)

        Dim nCount As Integer
        For nCount = 0 To sRecvBuffer.Length - 1

            If sRecvBuffer(nCount) = ControlChars.Back Then

                If m_sRecvBuffer.Length = 0 Then
                    Exit Sub
                End If

                Dim sSendData() As Byte = {32, 8}
                objTelnetClient.m_objSocket.Send(sSendData, 2, SocketFlags.None)

                m_sRecvBuffer = m_sRecvBuffer.Remove(m_sRecvBuffer.Length - 1, 1)

            Else
                m_sRecvBuffer += sRecvBuffer(nCount)
            End If

        Next

    End Sub

    Public Function FindRequest(ByRef objTelnetClient As cTelnetClient) As String

        Dim nStart As Integer = m_sRecvBuffer.IndexOf(vbCrLf)

        If nStart = -1 Then
            FindRequest = ""
            Exit Function
        End If

        Dim sCommand As String = m_sRecvBuffer.Substring(0, nStart)
        m_sRecvBuffer = m_sRecvBuffer.Remove(0, nStart + 2)

        If sCommand.Length = 0 Then
            objTelnetClient.SendText("VaxTele:>")
        End If

        FindRequest = sCommand

    End Function

    Public Function ParseRequest(ByVal sRequest As String, ByRef sCommand As String, ByRef objParamList As ArrayList) As Boolean

        Dim nEnd As Integer = sRequest.IndexOf(" ")

        If nEnd = -1 Then
            sCommand = sRequest
            ParseRequest = True
            Exit Function
        End If

        sCommand = sRequest.Substring(0, nEnd)
        sRequest = sRequest.Remove(0, nEnd + 1)

        While True
            nEnd = sRequest.IndexOf(" ")

            If nEnd = -1 Then
                objParamList.Add(sRequest)
                Exit While
            End If

            objParamList.Add(sRequest.Substring(0, nEnd))
            sRequest = sRequest.Remove(0, nEnd + 1)

        End While

        ParseRequest = True

    End Function

End Class
