#pragma once

using namespace System;
using namespace System::Collections;
using namespace System::Text;

public ref class cLineData
{
public:
	cLineData();

public:
	
	int m_nLineId;
    int m_nCallType;
    
	String^ m_sCallTo;
    String^ m_sLineName;
    String^ m_sCodecList;

    bool m_bRegister;
};

public ref class cLineList
{
public:
	cLineList(void);

public:

	int m_nLineIdCount;

    Hashtable^ m_objLineListTEXT;
    Hashtable^ m_objLineListINT;

public:

	int ChooseLineId();
	void UnLoadLines();
	void LoadLines();
	bool AddLine(String^ sLineName, String^ sDisplayName, String^ sUserName, String^ sAuthUser, String^ sAuthPwd, String^ sRealm, String^ sProxy, String^ sOutboundProxy, String^ sCodec, Boolean bRegister, String^ sInCallType, String^ sInCallTo);
	bool RemoveLine(String^ sLineName);
	void Add(String^ sLineName, String^ sDisplayName, String^ sUserName, String^ sAuthUser, String^ sAuthPwd, String^ sRealm, String^ sProxy, String^ sOutboundProxy, String^ sCodec, Boolean bRegister, String^ sInCallType, String^ sInCallTo);
	void Remove(String^ sLineName);
	cLineData^ FindLine(int nLineId);
	cLineData^ FindLine(String^ sLineName);

};
