#pragma once

using namespace System;
using namespace System::Collections;
using namespace System::Text;
using namespace System::Net::Sockets;
using namespace System::Threading;
using namespace System::IO;

#define AUTH_LOGIN		100
#define AUTH_PASSWORD	101
#define AUTH_DONE		102

ref class cTelnetRequest;

public ref class cTelnetClient
{
public:
	cTelnetClient(void);

private:

	cTelnetRequest^ m_objTelnetRequest;

	String^ m_sLoginTelnet;
    int m_nAuthStep;

	static Object^ m_objLockStatment = gcnew Object();

public:
	
	Socket^ m_objSocket;
	int m_nClientListIndex;

	static array<System::Byte>^ m_sAsyncBuffer;

private:

	void OnAuthrization(String^ sData);
	bool ReceiveData(String^ sRecvData);
	static void OnReceive(IAsyncResult^ ar);
		
public:
	
	void OnSuccessToAuth();
	void OnFailToAuth();

	bool OnRequest(String^ sCommand, ArrayList^ objParamList);
	void OnDisconnect();
	void OnConnected();
	
	void SendText(String^ sText);
	void SendCommand(String^ sCommand, ArrayList^ objParamList);
	void CloseSocket();
	
};
