using System;
using System.Collections;
using System.Text;

class cCallData
{
    public int m_nCallId;

    public int m_nSessionId;
    public Boolean m_bConnected;
    public Boolean m_bStealthListening;

    public uint m_unQueueId;
    public uint m_unUserId;

    public int m_nCallType;
    public string m_sCallerId;
    public string m_sUserId;

    public string m_sDigitPRESS;
    public int m_nDigitPRESS;
    public Boolean m_bDigitDetect;

    public uint m_unStealthId;
    public string m_sStealthDialNo;

    public string m_sCodec;
    public cCallData m_objBindCallData;

    public int m_nPlayWaveType;
    
    public cCallData()
    {
        m_nCallId       = -1;
        m_nSessionId    = -1;

		m_unUserId       = 0;
		m_nCallType     = 0;
		m_unQueueId      = 0;
		m_nDigitPRESS   = 0;
		m_unStealthId    = 0;

		m_objBindCallData = null;
		m_bDigitDetect = false;

		m_bConnected = false;
		m_bStealthListening = false;
		
		m_nPlayWaveType = cServerSIP.PLAY_WAVE_NONE_TYPE;
    }
}

class cCallList
{
    Hashtable m_objCallList = new Hashtable(256);

    public cCallData AddCall(int nCallId)
    {
	    cCallData objCallData = new cCallData();
	    objCallData.m_nCallId = nCallId;
    	
	    m_objCallList.Add(nCallId, objCallData);

	    return objCallData;
    }

    public void RemoveCall(ref cCallData objCallData)
    {
	    m_objCallList.Remove(objCallData.m_nCallId);
	    objCallData = null;
    }

    public cCallData FindCall(int nCallId)
    {
	     return (cCallData) m_objCallList[nCallId];
    }

    public void DeleteAll()
    {
	    ArrayList objCloseCallList = new ArrayList();

        IDictionaryEnumerator enumerator = m_objCallList.GetEnumerator();

        while(enumerator.MoveNext())
        {
            objCloseCallList.Add(enumerator.Value);
        }

        for (int nCount = 0; nCount < objCloseCallList.Count; nCount++)
        {
            cCallData objCallData = (cCallData)objCloseCallList[nCount];
            cServerSIP.m_objServerSIP.CloseCall(ref objCallData);
        }
    }

    public int GetCount()
    {
        return m_objCallList.Count;
    }
}
