using System;
using System.Text;
using System.IO;
using System.Net;
using System.Net.Sockets;
using System.Collections;


class cTelnetRequest
{
    string m_sRecvBuffer;

    public void FillRecvBuffer(string sRecvBuffer, ref cTelnetClient objTelnetClient)
    {
        for(int nCount = 0; nCount < sRecvBuffer.Length; nCount++)
        {
            if(sRecvBuffer[nCount] == 8) // Client press backspace.
            {
                if(m_sRecvBuffer.Length == 0)
                    return;
                
                byte[] sSendData = {32, 8};
                objTelnetClient.m_objSocket.Send(sSendData, 2, SocketFlags.None);

                m_sRecvBuffer = m_sRecvBuffer.Remove(m_sRecvBuffer.Length - 1, 1);
            }
            else
            {
                 m_sRecvBuffer += sRecvBuffer[nCount];
            }
        }
    }

    public string FindRequest(ref cTelnetClient objTelnetClient)
    {
        int nStart = m_sRecvBuffer.IndexOf("\r\n");

        if(nStart == -1) return "";

        string sCommand = m_sRecvBuffer.Substring(0, nStart);
        m_sRecvBuffer = m_sRecvBuffer.Remove(0, nStart + 2);

        if(sCommand.Length == 0)
            objTelnetClient.SendText("VaxTele:>");
        
        return sCommand;
    }

    public Boolean ParseRequest(string sRequest, ref string sCommand, ref ArrayList objParamList)
    {
        int nEnd = sRequest.IndexOf(" ");

        if(nEnd == -1)
        {
            sCommand = sRequest;
            return true;
        }

        sCommand = sRequest.Substring(0, nEnd);
        sRequest = sRequest.Remove(0, nEnd + 1);

        while(true)
        {
            nEnd = sRequest.IndexOf(" ");

            if(nEnd == -1)
            {
                objParamList.Add(sRequest);
                break;
            }

            objParamList.Add(sRequest.Substring(0, nEnd));
            sRequest = sRequest.Remove(0, nEnd + 1);
        }

        return true;

    }
}

